/*
VNG kleuren WSJG:
donkerblauw: #1A237E
blauw: #0277BD
lichtblauw: #B2DFDB
heel lichtblauw: #E0F2F1

*/

@font-face {
  src: url(www/fonts/source-sans-pro-latin-400-normal.woff2);
  font-family: "Source Sans Pro";
}

@font-face {
  src: url(www/fonts/source-sans-pro-latin-600-normal.woff2);
  font-family: "Source Sans Pro";
  font-weight: 600;
}

@font-face {
  src: url(www/fonts/source-sans-pro-latin-700-normal.woff2);
  font-family: "Source Sans Pro";
  font-weight: bold;
}

body {
  font-family: "Source Sans Pro", sans-serif;
  font-size: 16px;
  line-height: 150%;
  color: #212121;
}

#loading-content {
  position: absolute;
  background: #000000;
  opacity: 0.9;
  z-index: 100;
  left: 0;
  right: 0;
  height: 100%;
  text-align: center;
  color: #FFFFFF;
}

/* Lettertypen */
h1 {
  font-size: 32px;
  font-weight: bold;
  line-height: 125%;
  margin-top: 0;
}

h2 {
  font-size: 24px;
  font-weight: bold;
  line-height: 125%;
  margin-top: 0;
  margin-bottom: 0;
}

h3 {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 18px;
  font-weight: bold;
  line-height: 125%;
}

.small_text {
  font-size: 14px;
  color: #757575;
}

.uiPanel label {
  font-size: 14px;
  font-weight: normal;
  color: #212121;
}


hr {
  border-top: 1px solid #BDBDBD;
}


/* Om het flitsen bij het opnieuw tekenen tegen te gaan */


.recalculating {
  opacity: 1.0;
}


/* Voor een vaste header en een scroll-bar bij de bottom Panel */

.table {
  display: table;
}

.table-row {
  display: table-row;
}

.table-cell {
  display: table-cell;
}


.flex {
  display: flex;
}

.leftflex {
  width: 25%;
  flex-direction: column;
  background: white;
  box-shadow: 0px 0px 8px black;
  margin-right: 8px;
}

.rightflex {
  background: #E0F2F1;
  width: 75%;
  flex-direction: column;
}


.container {
  width: 100%;
  height: 100%;
  background: #E0F2F1;
  padding-left: 0;
  padding-right: 0;
}

.header {
  background: #1A237E;
  color: white;
  background-image: url("www/Pattern_Copy_2.svg");
  background-size: auto 100%;
}

.footer {
  background: #B2DFDB;
}

.body {
  background: #E0F2F1;
  height: 100%;
}

.body-content-outer-wrapper {
  height: 100%;
}

.body-content-inner-wrapper {
  height: 100%;
  position: relative;
  overflow: auto;
}

.body-content {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

#uiContainer {
  height: 100%;
  overflow-y: auto;
}



/* Aanpassen van de knoppen */


.btn-primary {
  background-color: #E0F2F1;
  border-color: #BDBDBD;
  color: #212121;
  font-weight: bold;
}

.btn-primary.active {
  background-color: #1A237E;
  border-color: #1A237E;
  color: white;
  font-weight: bold;
}

.btn-primary:hover {
  background-color: #CFE4E3;
  border-color: #BDBDBD;
  color: #212121;
}

.btn-primary.active:hover {
  background-color: #12195D;
}

.btn-primary:active:hover {
  background-color: #C1D8D7;
  border-color: #BDBDBD;
  color: #212121;
}

.btn-primary.active:active:hover {
  background-color: #141B5D;
}


.plusmin-button {
  border-color: #1A237E !important;
}


.plus-btn {
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
  color: #1A237E;
}

.min-btn {
  border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
  color: #1A237E;
}

/* Setting the animation on the button the same size as the button */
#waiting_animation-container {
  width: 100% !important;
}


/* Shiny input elements */
.shiny-input-container:not(.shiny-input-container-inline) {
    width: 100%;
}


/* datatable buttons */

.dt-button {
  margin: 0 !important;
  padding: 6px 12px !important;
  border-radius: 4px !important;
  font-size: 14px !important;
  line-height: 1.42857143 !important;
  background-color: #E0F2F1 !important;
  border-color: #BDBDBD !important;
  color: #212121 !important;
  font-weight: bold !important;
}

.dt-button:focus:not(.disabled) {
  background-color: #1A237E !important;
  border-color: #1A237E !important;
  color: white !important;
  font-weight: bold !important;
}

.dt-button:hover:not(.disabled) {
  background-color: #C1D8D7 !important;
  border-color: #BDBDBD !important;
  color: #212121 !important;
}





.dataTables_wrapper .dataTables_length {
  float: right;
}


.text-panel {
  display: inline-block;
  border: 1px solid;
  border-color: rgb(204, 204, 204);
  background: white;
  height: 34px;
  text-align: center;
  vertical-align: middle;
}


/* Toevoegen van witte panelen met afgeronde hoeken */

.headerbox {
  margin: 32px;
}

.footerbox {
  margin: 32px;
}

.colofonbox {
  margin: 32px auto;
  max-width: 1280px;
}

.hoofdPanel {
  padding-left: 24px; /* to compensate for the shaddow in leftflex */
  display: flex;
  flex-direction: column;
}

.mainPanel {
  margin: 24px auto 0;
  padding: 0px;
  max-width: 1280px;
}

.grafiekbox {
  margin: 32px auto;
  padding: 24px 68px;
  max-width: 1280px;
  background-color: white;
  border-radius: 8px;
}

.box {
  padding: 16px 32px;
}

.toelichtingbox {
  background: white;
  padding: 32px;
  border-radius: 8px;
  margin: 24px auto 0;
  max-width: 1280px;
}

.colofonPanel {
  background: #1A237E;
  color: white;
  padding: 24px 0px 24px 0px;
}


/* Geografische kaart */

.leaflet-container {
  background: #E0F2F1;
  /* overflow: visible; */
}

#kaart_NL {
  height: calc(100vh - 122px) !important
}

/* Uitklap scherm voor scenario */

.scenario {
  background: #E0F2F1;
  margin-bottom: 0px;
  border-radius: 0px;
  border-style: none;
  box-shadow: none;
}

/* Het uitklappen van de scenario's zorgt af en toe ervoor dat het wijkoverzicht verborgen wordt
  Dit voorkomt dat */
#wijkoverzicht {
  visibility: inherit !important;
}



/* datatables */

table.dataTable tbody td {
  padding: 12px 8px;
  border-top: 1px solid transparant;
}


#lijst_resultaten thead th {
    padding: 12px 8px;
    background-color: #E0F2F1;
    text-align: center;
}

table.dataTable tbody tr.selected td {
  background-color: #0277BD !important;
  color: white !important;
}

table.dataTable tbody tr {
    background-color: #E0F2F1;
}

table.dataTable tbody tr.even td, table.dataTable tbody tr.odd td {
    background-color: #E0F2F1;
}

table.dataTable.hover tbody tr:hover td, table.dataTable.display tbody tr:hover td {
    background-color: #1A237E !important;
    color: white;
    font-weight: 600;
}

.sorting {
  padding-right: 15px !important;
}


/* Tabellen in de toelichtingbox */

.toelichtingbox table {
  width: 100%;
}

.toelichtingbox table tbody {
  border-bottom: solid black;
  border-top: solid black;
}



/* sliders */
.irs--shiny .irs-from, .irs--shiny .irs-to, .irs--shiny .irs-single {
  background-color: #0277BD;
}

.irs--shiny .irs-bar {
  background: #0277BD;
  border-top-color: #0277BD;
  border-bottom-color: #0277BD;
}

.irs--shiny .irs-line {
    background: #E0F2F1
}


